Skip to main content
GET
/
conversations
/
conversations
/
2026-09-beta
/
actors
/
{actorId}
Get a single actor
curl --request GET \
  --url https://api.hubapi.com/conversations/conversations/2026-09-beta/actors/{actorId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/conversations/conversations/2026-09-beta/actors/{actorId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/conversations/conversations/2026-09-beta/actors/{actorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "type": "AGENT",
  "avatar": "<string>",
  "email": "<string>",
  "name": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

actorId
string
required

The unique ID of the actor.

Query Parameters

property
string

A specific property to include in the actor response.

Response

successful operation

id
string
required
type
enum<string>
default:AGENT
required
Available options:
AGENT
avatar
string
email
string
name
string
Last modified on March 31, 2026